version: 3.0
flask:
  app_host: "0.0.0.0"
  app_port: 9201
  app_path: "/metaboserv-api/"
  app_name: "MetaboSERV Backend"
  jwt_key: "JWTSEED" # You should change this to a long passphrase, it is used for generating JWT Tokens. Do NOT leave it as-is!
  jwt_https: False # In production, set this to True to only allow tokens from HTTPS sources
  jwt_expiration: 3 # JWT Expiration in hours
backend:
  admin_password: "ADMINACCPASSWORD" # This will be the password for the "admin" user
  upload_folder: "/path/for/temporary/uploads" # For data that is temporarily saved here during processing
  data_folder: "/path/for/extra/data" # For extra information, such as HMDB concentration data
  source_location: "/path/for/permanent/uploads" # For permanently stored files, e.g. for studies
  enforce_hmdb: False # Dictates whether HMDB identifiers will be enforced 
elasticsearch:
  username: "elastic"
  password: "ELASTICPASSWORD"
  path: "localhost" # Adapt this to wherever Elasticsearch is running
  port: 9200
raw:
  path: "localhost"
  port: 9203
mariadb:
  database: "metaboserv"
  username: "metaboserv"
  password: "MARIADBPASSWORD"
  path: "127.0.0.1" # Adapt this to wherever MariaDB is running
  port: 3306
smtp: # Configuration for the email account which will send verification mails etc.
  email: "FUNCTIONMAIL"
  password: "EMAILPASSWORD"
  server: "smtp.gmail.com" # You can use any reachable SMTP Server here
  port: 465
  verification: True # Set to false to auto-verify users
